#pragma once
#include "EntityState.h"
extern const int ES_STATENAME_RESIST;
//通用阻力组件
class EntityStateResist :
    public EntityState
{
public:
    EntityStateResist();
    void State() override;
    void SetPhysice(bool bInWater) override;
    //物理信息
   //地面
    float ground_resist_default = 0xa0 / ts;//地面阻力
    //水中
    float inwater_resist_default = ground_resist_default / 2;//水中阻力
    //使用中的物理信息
    float resist_default;//当前默认阻力
    float resist;//当前阻力
    bool apply_resistH = true;//启用水平阻力
};

